<!DOCTYPE html>
<html lang="en">
<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1">
  <title></title>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.4.0/axios.min.js" integrity="sha512-uMtXmF28A2Ab/JJO2t/vYhlaa/3ahUOgj1Zf27M5rOo8/+fcTUVH0/E0ll68njmjrLqOBjXM3V9NiPFL5ywWPQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>


  <!-- Bootstrap CSS -->
  <!-- <link rel="stylesheet" href="./assets/css/bootstrap.min.css"> -->

  <!-- Custom CSS -->
  <link rel="stylesheet" href="./assets/css/custom.css">

  <!-- Google Fonts -->
  <link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
  <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap" rel="stylesheet">

  <!-- Google Material Icons -->
  <link href="https://fonts.googleapis.com/css2?family=Material+Icons" rel="stylesheet">
  <style>
     #news {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      margin-left: 300px;
    }

    /* CSS for constant image size */
    .card__picture-img {
      width: 200px; /* Adjust the width as per your requirement */
      height: 200px; /* Adjust the height as per your requirement */
      object-fit: cover;
    }
    .newsContainer{
      border: 1px solid green;
    }

  </style>
</head>
<body>
  <div class="wrapper">
    <div class="body-overlay"></div>

    <!-- Sidebar -->
    <nav id="sidebar">
      <div class="sidebar-header">
          <h3><img src="" class="img-fluid"/><span>GSPORT</span></h3>
      </div>
      <ul class="list-unstyled components">
        <li  class="">
          <a href="/dashboard" class="dashboard">
            <i class="material-icons">person</i>
            <span>Users</span>
          </a>
        </li>
        <li  class="">
          <a href="/adminReservation" class="dashboard">
            <i class="material-icons">dashboard</i>
            <span>Reservation</span>
          </a>
      </li>
      <li  class="">
        <a href="/news">
          <i class="material-icons">library_books</i>
          <span>News</span>
        </a>
      </li>
      <li  class="active">
        <a href="/loadnews">
          <i class="material-icons">library_books</i>
          <span>Display News</span>
        </a>
      </li>
    </ul>
  </nav>
  <div id="content">
    <div class="top-navbar">
      <div class="xp-topbar">
        <div class="row">
          <div class="col-2 col-md-1 col-lg-1 order-2 order-md-1 align-self-center">
            <div class="xp-menubar">
              <span class="material-icons text-white">signal_cellular_alt</span>
            </div>
          </div> 
        </div>
      </div>
    </div> 
  </div>

    <!-- Page Content -->
    <section id="news" class="news">
      <div class="container1" data-aos="fade-up">
          <div class="section-title">
              <h2>News</h2>
          </div>
          <div id="newsContainer">
              <h2 style="font-style: italic;">Headlines</h2>
              <h2 class="card__sub-heading"> </h2>
              <img  class="card__picture-img" alt="">
              <p class="card__text"></p>
              <h4 class="card__date"></h4>
              <button class="delete-button">Delete</button>
          </div>
            

      </div>
  </section>


    <!-- Footer -->
   

    <!-- Scripts -->
    <script src="./assets/js/jquery-3.3.1.min.js"></script>
    <script src="./assets/js/popper.min.js"></script>
    <script src="./assets/js/bootstrap.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.4.0/axios.min.js" integrity="sha512-uMtXmF28A2Ab/JJO2t/vYhlaa/3ahUOgj1Zf27M5rOo8/+fcTUVH0/E0ll68njmjrLqOBjXM3V9NiPFL5ywWPQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src="js/load_news.js" type="module"></script>
    <script type="text/javascript">
      $(document).ready(function(){
        $(".xp-menubar").on('click',function(){
          $('#sidebar').toggleClass('active');
          $('#content').toggleClass('active');
        });

        $(".xp-menubar,.body-overlay").on('click',function(){
          $('#sidebar,.body-overlay').toggleClass('show-nav');
        });
      });
    </script>
  </div>
</body>
</html>
